﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Configuring SMTP Mail for Release v5.X</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Configuring SMTP Mail for Release v5.X</h1>
        <p>You must specify values for SMTP settings for sending or receiving emails from users based on the email service (such as Gmail, O365) you have chosen. After configuring the email settings, schedule&#160;<strong>EmailHistoryJob&#160;</strong>to&#160;enable&#160;Saviynt Enterprise Identity Cloud (EIC) to send emails to users.</p>
        <p><strong>To set up the SMTP Settings for sending email to users, perform the following steps:</strong>
        </p>
        <ol>
            <li>Log in to EIC.</li>
            <li>Click <strong>ADMIN &gt; Configurations &gt; SMTP</strong>.</li>
            <li>
                <p class="auto-cursor-target">In the Email Server Settings page that displays, specify the following details:</p>
                <div class="table-wrap">
                    <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                        <col style="width: 0px;" class="TableStyle-Default-Table-Column-Column1" />
                        <col style="width: 0px;" class="TableStyle-Default-Table-Column-Column1" />
                        <thead>
                            <tr class="TableStyle-Default-Table-Head-Header1">
                                <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                                <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">SMTP Server Name</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify name of the server that hosts your email client service.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">SMTP Port</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the port number of the SMTP server. The recommended port to configure the SMTP server is 587.&#160;</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">SMTP User Name</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the username to use for sending emails to users.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">SMTP Password</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the password to use for sending emails to users.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Encoding</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the encoding as SMTP server.</p>
                                    <p class="table-text">For example,&#160;UTF-8</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">SMTP Authentication</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select&#160;<strong>True</strong> to allow authentication.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Enable SMTP TLS</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select&#160;<strong>True</strong> to&#160;use the TLS (Transport Layer Security) secured email service.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">SMTP TLS Required</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify&#160;<strong>True</strong> to use the Require-TLS message header field while sending a message.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Trusted Hosts like<a href="http://mail.company.com" class="external-link" rel="nofollow"> mail.company.com</a></p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the trusted hosts allowed to access your client mail service.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                    <p class="table-text">Email Address</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                    <p class="table-text">Specify the email address to use for sending emails to users.</p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </li>
            <li>Click <strong> Save &amp; Test Connection</strong>.</li>
            <li>Configure the Outbox according to the email client used. For more information about configuring Outbox emails, see <MadCap:xref href="Outbox-Mail-Settings.htm">Outbox Mail Settings</MadCap:xref>.</li>
            <li>Schedule&#160;<strong>EmailHistoryJob</strong>&#160;to send emails from EIC to users.&#160;For more information about&#160;<strong>EmailHistoryJob</strong>, see <MadCap:xref href="../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Flat-Job-Control-Panel.htm#Utility">Utility</MadCap:xref>. </li>
        </ol>
    </body>
</html>